%Plotter for UV-Vis data for coated and uncoated AuNPs

%Requires UvVis_Coated_And_Uncoated_AuNPs_Actual.mat to be loaded into workspace


figure
%Bangor

%Non-coated
subplot(3,2,1)
plot(Wavelength(1:15:end), BangT0(1:15:end),'-*k', Wavelength(15:30:end), BangT1(15:30:end),'-^b', Wavelength(1:30:end), BangT2(1:30:end),'-sr')

axis([450 900 0 0.4])

title('Bangor Non-Coated AuNPs')
xlabel('Wavelength (nm)')
ylabel('Absorbance')

legend ('0 hours','24 hours','72 hours')


%Coated
subplot(3,2,2)
plot(Wavelength(10:30:end), Bang2T0(10:30:end),'-*k', Wavelength(20:30:end), Bang2T1(20:30:end),'-^b', Wavelength(30:30:end), Bang2T2(30:30:end),'-sr')

axis([450 900 0 0.4])

title('Bangor Coated AuNPs')
xlabel('Wavelength (nm)')
ylabel('Absorbance')

legend ('0 days','3 days','7 days')




%Dundee

%Non-coated
subplot(3,2,3)
plot(Wavelength(1:30:end), DundT0(1:30:end),'-*k', Wavelength(15:30:end), DundT1(15:30:end),'-^b', Wavelength(1:15:end), DundT2(1:15:end),'-sr')

axis([450 900 0 0.4])

title('Dundee Non-Coated AuNPs')
xlabel('Wavelength (nm)')
ylabel('Absorbance')

legend ('0 hours','24 hours','72 hours')

%Coated
subplot(3,2,4)
plot(Wavelength(10:30:end), Dund2T0(10:30:end),'-*k', Wavelength(20:30:end), Dund2T1(20:30:end),'-^b', Wavelength(30:30:end), Dund2T2(30:30:end),'-sr')

axis([450 900 0 0.4])

title('Dundee Coated AuNPs')
xlabel('Wavelength (nm)')
ylabel('Absorbance')

legend ('0 days','3 days','7 days')



%Nottingham

%Non-coated
subplot(3,2,5)
plot(Wavelength(1:15:end), NottsT0(1:15:end),'-*k', Wavelength(15:30:end), NottsT1(15:30:end),'-^b', Wavelength(1:30:end), NottsT2(1:30:end),'-sr')

axis([450 900 0 0.4])

title('Nottingham Non-Coated AuNPs')
xlabel('Wavelength (nm)')
ylabel('Absorbance')

legend ('0 hours','24 hours','72 hours')

%Coated
subplot(3,2,6)
plot(Wavelength(10:30:end), Notts2T0(10:30:end),'-*k', Wavelength(20:30:end), Notts2T1(20:30:end),'-^b', Wavelength(30:30:end), Notts2T2(30:30:end),'-sr')

axis([450 900 0 0.4])

title('Nottingham Coated AuNPs')
xlabel('Wavelength (nm)')
ylabel('Absorbance')

legend ('0 days','3 days','7 days')