%Plots the UV-Vis data for AuNPs in Soil Columns

%Requires UvVis_SoilColumn_and_Oct_Plotter.mat to be loaded into workspace
figure
subplot(1,2,1)
Plot_1 = plot(Wavelength(6:8:end), BangUvVis(6:8:end),'-*k', Wavelength(1:8:end), DundUvVis(1:8:end),'-^b', Wavelength(1:8:end), NottsUvVis(1:8:end), '-sr')
axis([450 800 0.45 0.8])

Plot_1(1).LineWidth = 1.5;
Plot_1(2).LineWidth = 1.5;
Plot_1(3).LineWidth = 1.5;

xlabel('Wavelength (nm)')
ylabel('Absorbance')

legend ('Bangor','Dundee','Nottingham')


subplot(1,2,2)
Plot_2 = plot(Wavelengthnm(1:7:end), AuNP_1x(1:7:end),'-+m', Wavelengthnm(1:7:end), Bang_Oct(1:7:end),'-*k', Wavelengthnm(1:7:end), Dund_Oct(1:7:end),'-^b', Wavelengthnm(4:7:end), Notts_Oct(4:7:end),'-sr')

axis([400 800 0 5])

Plot_2(1).LineWidth = 1.5;
Plot_2(2).LineWidth = 1.5;
Plot_2(3).LineWidth = 1.5;
Plot_2(4).LineWidth = 1.5;

xlabel('Wavelength (nm)')
ylabel('Absorbance')

legend ('AuNP in UHQ','Bangor', 'Dundee', 'Nottingham')